// #autoload
// #name = ToggleChatHud
// #description = bind a key that allows you to toggle your chathud
// #version = 1.0
// #date = 1 March 2003
// #author = Danny de Groot
// #warrior = OddBall-
// #email = dannydg1985@hotmail.com
// #web = http://www.oddballsplace.tk

package ToggleChatHud {

	function ToggleCHatHud(%val) {
		if (%val)
		{
			if(OuterChatHud.visible)
				OuterChatHud.setVisible(false);
			else
				OuterChatHud.setVisible(true);
		}
	}

	function OptionsDlg::onWake(%this) {
		if (!$ToggleChatBind)
		{
			$RemapName[$RemapCount] = "Toggle Chat";
			$RemapCmd[$RemapCount]  = "ToggleCHatHud";
			$RemapCount++;

			$ToggleChatBind = true;
		}
		parent::onWake(%this);
	}

};
activatePackage(ToggleChatHud);
